apiVersion: networking.k8s.io/v1
kind: IngressClass
metadata:
  name: nginx
spec:
  controller: k8s.io/ingress-nginx
---
apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: idp-ingress
  annotations:
    cert-manager.io/cluster-issuer: letsencrypt
    #fix for keycloak upstream long header https://github.com/nginxinc/kubernetes-ingress/issues/2123
    nginx.ingress.kubernetes.io/proxy-buffer-size: 128k
    nginx.ingress.kubernetes.io/strict-validate-path-type: strict
spec:
  ingressClassName: nginx
  rules:
    - host: idp.dev.esspass-poc.eu
      http:
        paths:
          - pathType: Prefix
            path: "/"
            backend:
              service:
                name: keycloak
                port:
                  number: 80
  tls:
    - hosts:
        - idp.dev.esspass-poc.eu
      secretName: idp-dev-esspass-poc-eu-tls
